:root {
  --content_width: 100%;
  --fz-10: 10px;
  --fz-12: 12px;
  --fz-14: 14px;
  --fz-16: 16px;
  --fz-18: 18px;
  --fz-32: 32px;
}
@media screen and (min-width: 650px) {
  :root {
    /* --content_width: 750px; */
    --content_width: 650px;
  }
}

html, body {
  height: 100%;
}
body {
  font-size: var(--fz-16);
}

.content-wrapper {
  width: 100%;
  height: 100%;
  overflow-x: hidden;
}

@media (min-width: 650px) { /* --content_width */
  body::before {
    content:"";
    position: fixed;
    inset: 0;
    z-index: -1;
    background-image: url(../images/lp/pc_mainbg.png);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: right center;
  }
  body {
    overflow: hidden;
  }
  .content-wrapper {
    height: 100vh;
    overflow-y: auto;
  }
}

.content {
  position: relative;
  width: var(--content_width);
  min-height: 100vh;
  margin: 0 auto;
  box-shadow: 0px 0px 30px 0px #777777;
}
.content-inner {
  width: 100%;
}

.mv {
  width: 100%;
}
.js-time-switch {
  display: none;
}
.js-time-switch.is-active {
  display: block;
}
.period-wrapper {
  background-color: #E52D8A;
  position: relative;
  margin-top: -50px;
  padding-top: 20px;
}
.period-wrapper::after {
  content: "";
  width: 100%;
  height: 55px;
  position: absolute;
  top: -28px;
  left: 0;
  background-image: url(../images/lp/cherry-blossoms.png);
  background-repeat: repeat-x;
  background-position: center bottom;
  background-size: auto 55px;
}
.period-comingsoon {
  margin-top: -15px;
}
.period-contents {
  position: relative;
  margin-top: -15px;
}
.period-contents::after {   /*下三角 */
  content: "";
  display: block;
  width: 0;
  height: 0;
  border-left: 25px solid transparent;
  border-right: 25px solid transparent;
  border-top: 20px solid #E52D8A;
  position: absolute;
  bottom: -20px;
  left: 50%;
  transform: translateX(-50%);
}
.period-wrapper .apply {
  background-color: #FBF03F;
  padding-bottom: 15%;
}

.apply-btn {
  padding: 30px 30px 10px;
}
.apply-btn:active {
  opacity: 0.6;
}
@media (hover: hover){
  .apply-btn:hover {
    opacity: 0.6;
  }
}

.period-wrapper .apply-text {
  margin-block: 20px;
  padding-inline: 20px;
}


.section-wrapper {
  position: relative;
  padding-top: 30px;
}
.section-ttl {
  width: 85%;
  position: absolute !important;
  top: -10px !important;
  left: 50% !important;
  transform: translate(-50%, -50%) !important;
  line-height: 0;
}
.indent {
  text-indent: -1em;
  padding-left: 1em;
  font-size: var(--fz-14);
}
.indent + .indent {
  margin-top: 8px;
}
@media (min-width: 650px) {
  .indent {
    font-size: var(--fz-16);
  }
}

.section1 {
  padding-inline: 10px;
  padding-block: 10% 20%;
  background-color: #FBEEF4;
}
.section1-explanation {
  padding: 25px 30px 30px;
}
.section1-explanation-text {

}
.section1-contents {
  width: 100%;
  max-width: 100%;
  margin-block: 20px;
}
.section1-contents img {
  margin-bottom: 20px;
}
.course-wrap {
  position: relative;
  margin-bottom: 20px;
}
.course-bg {
  display: block;
  width: 100%;
  height: auto;
}
.course-stamp {
  position: absolute;
  width: 25%;
}
.course-stamp3 { top: 50%; right: 1%; }
.course-stamp2 { top: 45%; left: 5%; }
.course-stamp1 { top: 28%; right: 0%; }

.section2 {
  padding-inline: 10px;
  padding-block: 20% 22%;
  background-color: #FBF03F;
}
.section2-contents {
  background-color: #fff;
  border-radius: 20px;
  padding: 15px 10px 25px;
}
.section2-contents + .section2-contents {
  margin-top: 50px;
}
.instant-noodles {
  position: relative;
}
.instant-noodles-bg {
  position: absolute;
  top: -17px;
  left: 50%;
  z-index: 1;
  height: 20%;
  transform: translateX(-50%)
}
@media (min-width: 530px) {
  .instant-noodles-bg {
    height: 25%;
  }
}
.section2-contents-ramen {
  max-width: 520px;
  margin: 0 auto;
  display: grid;
  gap: 20px;
  position: relative;
  z-index: 2;
  margin-top: 30%;
}
.ramen-row {
  display: flex;
  justify-content: center;
  gap: clamp(12px, 3vw, 20px);
  align-items: end;
}
.section2-contents-ramen .ra-men1 { width: 33%; }
.section2-contents-ramen .ra-men2 { width: 25%; margin-right: 15px; }
.section2-contents-ramen .ra-men3 { width: 25%; }
.section2-contents-ramen .ra-men4 { width: 35%; }
.section2-contents-ramen .ra-men5 { width: 32%; }
.section2-contents-body {
  padding-top: 40px;
}

.section2-contents-ttl {
  position: relative;
}
.section2-contents-ttl img.ttl-green {
  position: absolute;
  top: -30px;
  left: 50%;
  transform: translateX(-50%);
  width: 70%;
  height: auto;
}
.section2-contents-group.first-group  {
  padding-top: 50px;
}
@media (min-width: 530px) {
  .section2-contents-group.first-group {
    padding-top: 75px;
  }
}
.section2-contents-group:not(:has(~ .contents-group)) {
  margin-bottom: 30px;
}
.section2-contents-group .contents-ttl {
  color: #DF4C1C;
  font-weight: bold;
  font-size: var(--fz-18);
  background-color: #FDF0CF;
  border-radius: 5px;
  padding-block: 5px;
  text-align: center;
  margin-block: 20px 10px;
}
.section2-contents-group .contents-text {
  font-weight: bold;
  font-size: var(--fz-18);
  margin-bottom: 10px;
}
.section2-contents-group .contents-exception {
  color: #8B8B8B;
  font-size: var(--fz-14);
}

.section3 {
  padding-inline: 10px;
  padding-block: 15%;
  background-color: #FBEEF4;
}
.section3-text {
  font-weight: bold;
  text-align: center;
  margin-bottom: 20px;
}
.section3-contents {
  width: 100%;
  max-width: 100%;
}
.section3-contents img {
  margin-bottom: 20px;
}
.section3 .indent {
  font-size: var(--fz-12);
}
@media (min-width: 650px) {
  .section3 .indent {
    font-size: var(--fz-14);
  }
}
.section3 .apply {
  margin-block: 10px 30px;
}
.section3-receipt {
}
.section3-receipt-ttl {
  background-color: #1BA135;
  padding: 10px 50px;
  border-radius: 20px 20px 0 0;
  text-align: center;
}
.section3-receipt-ttl.ttl2 img {
  width: 55%;
  display: inline-block;
}
.section3-receipt-contents {
  background-color: #fff;
  border-radius: 0 0 20px 20px;
  padding-inline: 15px;
  padding-bottom: 30px;
  margin-bottom: 20px;
}
.section3-receipt-contents-text {
  padding-block: 20px;
}
.section3-receipt-contents-text p {
  font-size: var(--fz-14);
  font-weight: bold;
  margin-bottom: 3px;
}
@media (min-width: 650px) {
  .section3-receipt-contents-text p {
    font-size: var(--fz-16);
  }
}
.section3-receipt-contents-text p.red {
  color: #E52D8A;
}

.section4 {
  padding-block: 15% 10%;
  padding-inline: 10px;
  background-color: #FFF048;
}
.section4-contents.terms {
  background-color: #fff;
  border-radius: 20px;
  padding: 20px;
  height: 400px;
  overflow-y: auto;
  font-size: var(--fz-14);
}
.section4 .apply {
  margin-bottom: 30px;
}
.terms-block {
  margin-block: 25px;
}
.terms-block p {
  padding-left: 1em;
  overflow-wrap: break-word;
}
.terms-head {
  color: #00A73A;
  padding-bottom: 5px;
}
.terms-sub {
  padding-block: 5px;
}
.prize {
  position: relative;
  padding-left: 1.7em !important;
}
.prize::before {
  content: "●";
  position: absolute;
  top: 5px;
  left: 1em;
  font-size: 10px;
}
.prize-item {
  padding-left: 1.7em !important;
}
.block-margin {
  margin-block: 20px 10px;
}
.terms-block .terms-indent {
  margin-block: 10px 5px;
  text-indent: -1em;
  padding-left: 1em;
  margin-left: 1em;
}
.target-product-list {
  padding-block: 15px 5px;
}
.target-product-item {
  padding-block: 10px 5px;
}
.target-product-indent {
  text-indent: -2em !important;
  padding-left: 2em !important;
  margin-left: 1.5em;
}
.terms-block ul,
.terms-block ol {
  margin-left: 2.5em;
}
.terms-block li {
  padding-left: 0.2em;
  margin-block: 5px;
}
.env-list {
  padding-block: 5px;
}
.terms-block a {
  color: #00A73A;
  display: inline-block;
  overflow-wrap: break-word;
}

.contact {
  padding-inline: 15px;
  padding-block: 50px 60px;
  background-color: #E52D8A;
}
.contact-ttl {
  text-align: center;
}
.contact-ttl img {
  width: 55%;
  display: inline-block;
}
.contact-text {
  color: #fff;
  text-align: center;
  margin-block: 30px;
}
.contact-contents {
  background-color: #fff;
  border-radius: 20px;
  padding: 20px 10px;
  text-align: center;
}
.contact-contents + .contact-contents {
  margin-top: 20px;
}
.contact-contents-ttl {
  color: #E52D8A;
  font-weight: bold;
}
.contact-tel {
  display: inline-flex;
  align-items: center;
  gap: 10px;
  text-decoration: none;
  color: #20B7EA;
  font-weight: bold;
  font-size: var(--fz-32);
}
.contact-tel:active {
  opacity: 0.6;
}
@media (hover: hover){
  .contact-tel:hover {
    opacity: 0.6;
  }
}
.tel-icon {
  width: 28px;
  height: auto;
}
.tel-number {
}

.contact-tel p {
  display: inline-block;
  width: 30px;
  height: 30px;;
}
.contact dl {
}
.contact dt {
  display: inline-block;
  color: #E52D8A;
  font-weight: bold;
  font-size: var(--fz-14);
  border-bottom: 1.5px solid #E52D8A;
  width: 150px;
  padding-block: 5px;
  margin-block: 20px;
}
@media (min-width: 650px) {
  .contact dt {
    font-size: var(--fz-16);
  }
}
.contact .mail a {
  color: #20B7EA;
}
.contact .mail a:active {
  opacity: 0.6;
}
@media (hover: hover){
  .contact .mail a:hover {
    opacity: 0.6;
  }
}
.contact dd {
  font-weight: bold;
  font-size: var(--fz-14);
}
@media (min-width: 650px) {
  .contact dd {
    font-size: var(--fz-16);
  }
}

.footer {
  background-color: #E770A2;
  text-align: center;
}
.footer .content-inner {
}
.copyright {
  color: #fff;
  font-weight: bold;
  font-size: var(--fz-10);
  padding: 10px;
}
@media (min-width: 650px) {
  .copyright {
    font-size: var(--fz-12);
  }
}

/* ----------------
  アニメーション
------------------- */
.splitTrigger{
  position: relative;
}
.splitTrigger > img{
  display:block;
  width:100%;
  height:auto;
  opacity:0;
  pointer-events: none;
}
.splitTrigger::before,
.splitTrigger::after{
  content:"";
  position:absolute;
  inset:0;
  background-image: var(--split-url);
  background-repeat:no-repeat;
  background-position:center;
  background-size: contain;
  opacity:0;
  will-change: clip-path, transform, opacity;
}
.splitTrigger::before{
  /* 左側：左端から中央(50%)へ伸ばす */
  clip-path: inset(0 100% 0 0);
  transform: translateX(-14px);
}
.splitTrigger::after{
  /* 右側：右端から中央(50%)へ伸ばす */
  clip-path: inset(0 0 0 100%);
  transform: translateX(14px);
}
.splitTrigger.is-inview::before{
  opacity:1;
  animation: splitLeft 0.9s cubic-bezier(.22,.61,.36,1) forwards;
}
.splitTrigger.is-inview::after{
  opacity:1;
  animation: splitRight 0.9s cubic-bezier(.22,.61,.36,1) forwards;
}

@keyframes splitLeft{
  0%{
    clip-path: inset(0 100% 0 0);
    transform: translateX(-14px);
    opacity:0;
  }
  100%{
    clip-path: inset(0 50% 0 0);  /* 左半分まで表示＝中央に到達 */
    transform: translateX(0);
    opacity:1;
  }
}
@keyframes splitRight{
  0%{
    clip-path: inset(0 0 0 100%);
    transform: translateX(14px);
    opacity:0;
  }
  100%{
    clip-path: inset(0 0 0 50%);  /* 右半分まで表示＝中央に到達 */
    transform: translateX(0);
    opacity:1;
  }
}


.zoomInTrigger {
  opacity: 0;
  transform: scale(0.6);
}
.zoomInTrigger.zoomIn {
  animation: zoomInAnime 0.5s ease forwards;
}
@keyframes zoomInAnime {
  from {
    transform: scale(0.6);
    opacity: 0;
  }
  to {
    transform: scale(1);
    opacity: 1;
  }
}


.fadeUpTrigger {
  opacity: 0;
  transform: translateY(120px);
}
.fadeUpTrigger.fadeUp {
  animation: fadeUpAnime 1.2s ease forwards;
}
@keyframes fadeUpAnime {
  0% {
    opacity: 0;
    transform: translateY(120px);
  }

  100% {
    opacity: 1;
    transform: translateY(0);
  }
}
.delay1 { animation-delay: 0.5s !important; }
.delay2 { animation-delay: 0.7s !important; }
.delay3 { animation-delay: 0.9s !important; }
.delay4 { animation-delay: 1s !important; }
.delay5 { animation-delay: 1.2s !important; }

/* 右下固定 応募ボタン */
.apply-btn-wrapper {
  position: fixed;
  bottom: 20px;
  right: 20px;
  z-index: 100;
}
.apply-btn-wrapper img {
  width: clamp(130px, 20vw, 200px);
}
@media (min-width: 650px) {
  .apply-btn-wrapper {
    bottom: 20px;
    left: 50%;
    transform: translateX(120px);
  }
}